Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03488 Sound Minor Always Oct 26, 2009, 23:11 Nov 13, 2016, 14:36
Tester Fujix View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver namconb1.cpp
Version 0.134u4 Fixed in Version 0.177 Build
Summary 03488: nebulray, gslgr94u, vshoot: Music speed is fast.
Description All music speed is faster than normal.
Steps To Reproduce
Additional Information Tafoid and Phil B helped to find out the regression version and the cause.

Fixed by superctr in 0.177.
Flags
Regression Version 0.133u5
Affected Sets / Systems nebulray, gslgr94u, vshoot
Attached Files
 
Relationships
related to 02265ResolvedPhil Bennett ptblank, sws95, sws96, sws97, outfxies, machbrkr, speedrcr: Audio playback at half speed 
Notes
5
User avatar
No.05070
Phil Bennett
Developer
Oct 27, 2009, 18:27
Removing the MCU comms hack in the driver brings most of the games back to their correct tempo (which resolves 02265). The hack was necessary prior to RB's recent M37710 hack or else there'd be no sound at all.

Note that Nebulas Ray, the Great Sluggers games and V-Shoot are still playing a bit too fast.
User avatar
No.05098
Fujix
Administrator
Nov 1, 2009, 08:00
Thanks Phil, updated the report.
User avatar
No.10936
Phil Bennett
Developer
Aug 18, 2014, 08:14
The problem here is that the counter stop function of the M37710's timers is not implemented.

When timer A1 (120Hz) expires, it triggers an interrupt during which the timer is stopped. External INT0 (VBlank?) restarts the timer.

External INT2 looks like a development leftover; it is dependent on Timer A4, which is never started.
User avatar
No.10937
AWJ
Developer
Aug 19, 2014, 04:03
The ADC interrupt should also be internal to the M37710 and not depend on the drivers to trigger it...
User avatar
No.13363
Fujix
Administrator
Nov 13, 2016, 14:36
edited on: Nov 15, 2016, 07:29
Fixed by superctr in 0.177.